Eclipse Platform Release 3.7

## org.eclipse.ui.contexts
Class ContextManagerEvent

    java.lang.Object
      org.eclipse.ui.contexts.ContextManagerEvent

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class ContextManagerEvent

extends Object

An instance of this class describes changes to an instance of `IContextManager`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IContextManagerListener.contextManagerChanged(ContextManagerEvent)`, `ContextManagerEvent`

Constructor Summary
`ContextManagerEvent(IContextManager contextManager, boolean definedContextIdsChanged, boolean enabledContextIdsChanged, Set previouslyDefinedContextIds, Set previouslyEnabledContextIds)` Deprecated. Creates a new instance of this class.

Method Summary
`IContextManager` `getContextManager()` Deprecated. Returns the instance of the interface that changed.
`Set` `getPreviouslyDefinedContextIds()` Deprecated. Returns the set of identifiers to previously defined contexts.
`Set` `getPreviouslyEnabledContextIds()` Deprecated. Returns the set of identifiers to previously enabled contexts.
`boolean` `haveDefinedContextIdsChanged()` Deprecated. Returns whether or not the definedContextIds property changed.
`boolean` `haveEnabledContextIdsChanged()` Deprecated. Returns whether or not the enabledContextIds property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextManagerEvent

    public ContextManagerEvent(IContextManager contextManager,
                               boolean definedContextIdsChanged,
                               boolean enabledContextIdsChanged,
                               Set previouslyDefinedContextIds,
                               Set previouslyEnabledContextIds)

  Deprecated.
  Creates a new instance of this class.

  Parameters:
    `contextManager` - the instance of the interface that changed.
    `definedContextIdsChanged` - true, iff the definedContextIds property changed.
    `enabledContextIdsChanged` - true, iff the enabledContextIds property changed.
    `previouslyDefinedContextIds` - the set of identifiers to previously defined contexts. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedContextIdsChanged is `false` and must not be null if definedContextIdsChanged is `true`.
    `previouslyEnabledContextIds` - the set of identifiers to previously enabled contexts. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if enabledContextIdsChanged is `false` and must not be null if enabledContextIdsChanged is `true`.

Method Detail

### getContextManager

    public IContextManager getContextManager()

  Deprecated.
  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviouslyDefinedContextIds

    public Set getPreviouslyDefinedContextIds()

  Deprecated.
  Returns the set of identifiers to previously defined contexts.

  Returns:
    the set of identifiers to previously defined contexts. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedContextIdsChanged() is `false` and is guaranteed to not be null if haveDefinedContextIdsChanged() is `true`.

### getPreviouslyEnabledContextIds

    public Set getPreviouslyEnabledContextIds()

  Deprecated.
  Returns the set of identifiers to previously enabled contexts.

  Returns:
    the set of identifiers to previously enabled contexts. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveEnabledContextIdsChanged() is `false` and is guaranteed to not be null if haveEnabledContextIdsChanged() is `true`.

### haveDefinedContextIdsChanged

    public boolean haveDefinedContextIdsChanged()

  Deprecated.
  Returns whether or not the definedContextIds property changed.

  Returns:
    true, iff the definedContextIds property changed.

### haveEnabledContextIdsChanged

    public boolean haveEnabledContextIdsChanged()

  Deprecated.
  Returns whether or not the enabledContextIds property changed.

  Returns:
    true, iff the enabledContextIds property changed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.